<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:output
   method="html"
   indent="yes"
   encoding="UTF-8"
/>


<xsl:template match="/">

 <xsl:text >
 </xsl:text> 
 <xsl:apply-templates select = "interactions/interaction/parameters/cparameter[2]" /> 
</xsl:template>


<xsl:template match="interactions/interaction/parameters/cparameter[2]">

<html>
<head>
     	<title>
		Content Summary
     	</title>
   	</head>
   	<body>
   

	<p>
		
	This text represents content that has been extracted from a game of concentration.  

	</p>


	<p>
	Please command the screen reader to read each line individually. 
	</p> 

	<p>
	The question will be provided on one line and the solution will be provided on the next line.
	</p>
 	


<xsl:for-each select="optionpage"> 

	
  <xsl:if test="@name!='Main_Question'">
	
	<xsl:for-each select="entrydata"> 
	

	<xsl:if test="input/@optionStore='Question_Stem'"> 

				
                
                <xsl:if test="(string(input))">    
		
			<p>

			
			<xsl:value-of select="input" />
			
			<br/>
			 
			
			                                  
			
            		</p>
				 	
			
		</xsl:if>
		    	     

        </xsl:if> 


	<xsl:if test="input/@optionStore='Correct_Answer'"> 

				
                
                <xsl:if test="(string(input))">    
		
			<p>
			
			<xsl:value-of select="input" />
			<br/>                                
			
            		</p>
				 	
			
		</xsl:if>
		    	     

        </xsl:if> 

   	

	
 
     </xsl:for-each> 


   </xsl:if> 	


</xsl:for-each> 


 



This ends the Concentration Game.


 </body>
 </html>

</xsl:template>
</xsl:stylesheet>

