
//Declare Global variables
	var starInteractionObj = new Object();
	var adlAPI = new Object();
	var lmsInitialized = false;
	
	var maxPoints = 20;
	var interactionScore = 0;
	
// Hook for Internet Explorer.

if (navigator.appName && navigator.appName.indexOf("Microsoft") != -1 && navigator.userAgent.indexOf("Windows") != -1 && navigator.userAgent.indexOf("Windows 3.1") == -1)
{
	document.write('<script language=\"VBScript\"\>\n');
	document.write('On Error Resume Next\n');
	document.write('Sub starInteraction_FSCommand(ByVal command, ByVal args)\n');
	document.write('	Call starInteraction_DoFSCommand(command, args)\n');
	document.write('End Sub\n');
	document.write('</script\>\n');
}
var isInternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
var isWindows = navigator.userAgent.indexOf("Windows") != -1 ;

/*
-------------------------------------------------------------------------------------------------
Method:       	getAPI
Return Type:	None

Purpose:  Looks for the SCORM API object in the parent window

*/
function getAPI()
{
	win = window;
  	str = "";
    while ((win.API == null) && (win.parent != null) && (win.parent != win))
    {
	   	win = win.parent;
    }
    return win.API;
}

/*
-------------------------------------------------------------------------------------------------
Method:       	checkSCORMExists
Return Type:	True or False

Purpose:  	lmsInitialized is a global var that gets set to True if
		SCORM API successfully initialized

*/
function checkSCORMExists()
{
	//window.alert("Check if scorm exists.  Result = " + lmsInitialized);
	return lmsInitialized;
}

/*
Method:       	load
Return Type:	None

Purpose:  	Upon HTML load, calls getAPI method; if SCORM is already initialized,
		calls LMSFinish, and re-initializes

*/
function load()
{
	

	starInteractionObj = isInternetExplorer ? document.all.starInteraction : document.starInteraction;
	var isWindows = navigator.userAgent.indexOf("Windows") != -1 ;

	if(isWindows)
	{
		//alert('isWindows: ' + isWindows);
		starInteractionObj.SetVariable("htmlPage", "true");
	}

	var obj = document;

    // make sure the browser supports minimum functionality
	if  ((!document.getElementById) && (!document.all))
    {
     	//alert("This browser does not meet minimal requirements");
        return;
    }
    adlAPI = getAPI();

	if (adlAPI == null)
    {
       	//window.alert("Unable to load SCORM adaptor");
        return;
    }
	else {
		//window.alert("Initializing SCORM....");
       	lmsInitialized = adlAPI.LMSInitialize("");

        if (!lmsInitialized)
		{
        	adlAPI.LMSFinish("");
            lmsInitialized = adlAPI.LMSInitialize("");
		}
        //window.setStatus("Found SCORM adaptor.");
	}

	
}

// Handle all the FSCommand messages in a Flash movie.
function starInteraction_DoFSCommand(command, args)
{
	starInteractionObj = isInternetExplorer ? document.all.starInteraction : document.starInteraction;

	if (command == "fsPing")
	{
		// This responds to the initial request from the flash object to verify
        // that fscommand() works.  If it does, this line will execute and the
        // value 'true' will be set to the flash _root.fsworks variable, if fscommand
        // doesn't work, this line will not be called, and the _root.fsworks variable
        // will remain set to 'false' and future calls will be made through getURL().

		starInteractionObj.SetVariable("fsworks", "true");
   }

	if (command == "exec")
	{

		// take the message and process it through externalCommand() as we
        // would if the command arrived from flash using the getURL() function.

        //window.alert("page.doFScommand reached with " + args);
		externalCommand( args );
     }
}

/*
-------------------------------------------------------------------------------------------------
Method:       	externalCommand(cmd)
Return Type:	None

Purpose:  	Called from the Flash object directly through getURL or called through the FSCommand
		The cmd comes in two parts:
		"command data"
		If the characters before the first space are the command and the remaining characters comprise the data.

*/
function externalCommand( arg )
{
	var spaceIndex = arg.indexOf(' ');

	var cmd = arg.substring(0,spaceIndex);
	var cmdOption = cmd.substring(0,6);
	cmd = cmd.substring(7, cmd.length);
	var data = arg.substring(spaceIndex, arg.length);

	if(cmdOption == 'setCMI')
	{		
		setCMI(cmd,data);
	}
	if(cmdOption == 'getCMI')
	{
		if(isWindows)	//Only Windows can you use SetVariable
		{
			var rc = getCMI(cmd);

			switch(cmd)
			{
				case 'cmi.suspend_data':
					starInteractionObj.SetVariable("state", rc);
					break;				
			}
		}
	}	
	//return 1
}

/*
-------------------------------------------------------------------------------------------------
Method:       	setCMI
Return Type:	True or False

Purpose:  	Used with adlAPI.LMSSetValue(cmiElement,cmiData) to communicate
			various cmi options to the server via the adlAPI adapter

*/
function setCMI(cmiElement,cmiData)
{
	if (lmsInitialized)
	{
		var returnVal = adlAPI.LMSSetValue(cmiElement,cmiData);
		var returnVal = adlAPI.LMSCommit('');
	}
}
function getCMI(cmiElement)
{
	if (lmsInitialized)
	{
		return adlAPI.LMSGetValue(cmiElement);
	}		
}


function getPrintIcon()
{
	var result = "<BR><a href=\"javascript:printpage();\"><IMG SRC=\"system/printer.gif\" WIDTH=\"23\" HEIGHT=\"24\" BORDER=\"0\" ALT=\"Print This Page\"></a>";
	return result;
}

//-----------------------------------------------------------------------------
		// Retrieve an element if it exists in this view and can be found by this
		// browser (this function is friendly to both Netscape & IE)

function findElement(sElementID) //1
{
	if (document.getElementById)
    {
        	return document.getElementById(sElementID);
    }
	else if (document.all)
	{
		return document.all[sElementID];
	}
	// couldnt do either, return null
	return null;
}

function popup_window2(msg,the_width,the_height,buildHTML) 
{
	if(buildHTML)
	{
		//var URL = "javascript: document.write(&quot;<html><head></head><body>" + msg + "<body></html>&quot;);"
		var URL = "<html><head></head><body>" + msg + "<body></html>";
		var URL = "javascript: document.write(&quot;" + URL + "&quot;);"
	} else {
		var URL = msg;
	}
	window.open(URL,"","status=no,menubar=no,scrollbars=yes,resizable=no,width=" + the_width + ",height=" + the_height);
	return false;
}

function popup_window(the_page,the_width,the_height) {
  window.open(the_page,"","status=no,menubar=no,scrollbars=yes,resizable=no,width=" + the_width + ",height=" + the_height);
  return false;
}


function getData(sourceData,startDelim,endDelim)
{
	
	var msg = unescape(sourceData);
	if(typeof sourceData == 'undefined')
	{
		return "";
	}
	
	var pIndex1 = msg.indexOf(startDelim) + startDelim.length;
	var pIndex2 = msg.indexOf(endDelim) - pIndex1 + 1;
	var result = msg.substr(pIndex1,pIndex2-1);
	return result;
}
function replace(s, t, u) {
	i = s.indexOf(t);
	r = "";
	if (i == -1) return s;
	r += s.substring(0,i) + u;
	if ( i + t.length < s.length)
	r += replace(s.substring(i + t.length, s.length), t, u);
	return r;
}
function getReport()
{
	var html_str = "";
	return html_str;
}
function openReport()
{
	var html_str = getReportPageHTML();
	popup_window( html_str ,500,400);return false;
}
function getReportPageHTML()
{
	var rc = "";
	var hd = "&quot;<html>";
	rc = rc + "javascript:";

	var p1 = hd + "<head><title>Question Summary</title></head><body>"
	var dw = ""
	var stuff_str = getReport();
	stuff_str = replace(stuff_str,"system/","http://www.lodestarlearning.com/assets/");

	p1 = p1 + stuff_str
	p1 = p1 + "</body></html>&quot;";
	
	p1 = replace(p1,"'","&#39;");
	
	var loopCount = Math.floor(p1.length/100) +1;
	
	for(var i = 0; i < loopCount; i ++)
	{
		var p = p1.substring(i * 100,i*100 + 100);
		dw = dw + "document.write('" + p + "');";
	
	}
	
	rc = rc + dw;
	return rc;

}

var message = "Print this Page";

function printpage() {
	window.print();  
}



